REM List all network interfaces
@echo off

if "%1"=="list" goto List
if "%1"=="status" goto Status
if "%1"=="config" goto Config

REM Default operation Help text
:Help
echo List all network devices
echo ========================
echo Parameters are:
echo list   = List all network devices
echo status = List network devices and show connected status
echo config = List network device config values
goto End

:List
for /f tokens^=2delims^=^" %%A in (
  'netsh interface ip show config'

) Do Echo %%A
goto End

REM Network status
:Status
netsh interface ip show interfaces
goto End

REM Network config
:Config
netsh interface ip show config
goto End


:End

